Page MenuHomePhabricator

labvirt1022: reallocate from eqiad1 as cloudvirt1022
Closed, ResolvedPublic

Description

Move the labvirt1021 physical server from the main deployment to the eqiad1 one.

@chasemp suggested the new name is cloudvirt1022 instead of cloudvirt1002.

Timeline would be:

  • disable puppet in labvirt1022
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • racktables update
  • get the physical relabeling done (T199203)
  • done

Same happened to labvirt1021/cloudvirt1021 (see T199107 and T199132).

Event Timeline

aborrero triaged this task as Normal priority.Jul 10 2018, 11:08 AM
aborrero created this task.

Change 445114 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] install_server: rename labvirt1022 to cloudvirt1022

https://gerrit.wikimedia.org/r/445114

Change 445115 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudvps: rename labvirt1022.eqiad.wmnet to cloudvirt1022.eqiad.wmnet

https://gerrit.wikimedia.org/r/445115

Change 445114 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] install_server: rename labvirt1022 to cloudvirt1022

https://gerrit.wikimedia.org/r/445114

Change 445115 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudvps: rename labvirt1022.eqiad.wmnet to cloudvirt1022.eqiad.wmnet

https://gerrit.wikimedia.org/r/445115

aborrero updated the task description. (Show Details)Jul 11 2018, 9:54 AM

Script wmf-auto-reimage was launched by aborrero on neodymium.eqiad.wmnet for hosts:

labvirt1022.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807111000_aborrero_10492_labvirt1022_eqiad_wmnet.log.

Used this cmdline: aborrero@neodymium:~ $ sudo wmf-auto-reimage-host -p T199202 --rename cloudvirt1022.eqiad.wmnet --rename-mgmt cloudvirt1022.mgmt.eqiad.wmnet labvirt1022.eqiad.wmnet labvirt1022.mgmt.eqiad.wmnet

Completed auto-reimage of hosts:

['cloudvirt1022.eqiad.wmnet']

Of which those FAILED:

['cloudvirt1022.eqiad.wmnet']

Script wmf-auto-reimage was launched by aborrero on neodymium.eqiad.wmnet for hosts:

labvirt1022.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807111034_aborrero_15798_labvirt1022_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['labvirt1022.eqiad.wmnet']

Of which those FAILED:

['labvirt1022.eqiad.wmnet']

Script wmf-auto-reimage was launched by aborrero on neodymium.eqiad.wmnet for hosts:

cloudvirt1022.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807111035_aborrero_15925_cloudvirt1022_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['cloudvirt1022.eqiad.wmnet']

Of which those FAILED:

['cloudvirt1022.eqiad.wmnet']

Mentioned in SAL (#wikimedia-operations) [2018-07-11T10:45:11Z] <arturo> disabled puppet in install1002 for a debian installer live hack (T199202)

Script wmf-auto-reimage was launched by aborrero on neodymium.eqiad.wmnet for hosts:

cloudvirt1022.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/201807111108_aborrero_21004_cloudvirt1022_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['cloudvirt1022.eqiad.wmnet']

and were ALL successful.

aborrero updated the task description. (Show Details)Jul 11 2018, 11:46 AM

Change 445141 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudvps: clean labvirt1022 resources

https://gerrit.wikimedia.org/r/445141

Change 445141 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudvps: clean labvirt1022 resources

https://gerrit.wikimedia.org/r/445141

aborrero closed this task as Resolved.Jul 11 2018, 12:42 PM
aborrero updated the task description. (Show Details)